#!/bin/sh
echo
echo "Installing mTokenCryptoID PKCS11 module"
echo

config_file="profiles.ini"
software_path=$(pwd)
mozilla="./mozilla"
firefox_data_path="$HOME/.mozilla/firefox"
thunderbird_data_path="$HOME/.thunderbird"

echo ${firefox_data_path}

thunderbird_path=$(find /usr/lib/  -name  libsmime3.so | grep thunderbird | sed 's/\/libsmime3.so//')
   if [ -d "$thunderbird_data_path" ] && [ -d "$firefox_data_path" ];then
      if [ -f "${thunderbird_data_path}/${config_file}" ];then
          text=$(awk -F '=' '/\[Profile0\]/{a=1}a==1&&$1~/Path/{print $2;exit}' $HOME/.thunderbird/profiles.ini)
	 echo "thunderbird is detected"
	 echo 
	 echo "install PKCS11 Module"
	 echo
	    modutil -dbdir "${thunderbird_data_path}/${text}" -add 'mToken CryptoID PKCS#11 Module V2.0' -libfile "/opt/cryptoid-2.0/libcryptoide_pkcs11.so" -force
	 echo
	 echo "install root certs ..."
	 echo
#	 ./mozilla "${thunderbird_data_path}/${text}" "import" "./root.cer" "TC,TC,TC"
#	 ./mozilla "${thunderbird_data_path}/${text}" "import" "./middle.cer" "C,C,C"
	 echo
      else
          echo "thunderbird profiles.ini does not exist!"
      fi
  else
     echo " thunderbird is not detected."
  fi


firefox_path=$(find /usr/lib/  -name  libnss3.so | grep firefox | sed 's/\/libnss3.so//')
   if [ -d "$firefox_data_path" ];then
      if [ -f "${firefox_data_path}/${config_file}" ];then
          text=$(awk -F '=' '/\[Profile0\]/{a=1}a==1&&$1~/Path/{print $2;exit}' $HOME/.mozilla/firefox/profiles.ini)
	 echo "firefox is detected"
	 echo
	 echo "install PKCS11 module"
	   modutil -dbdir "${firefox_data_path}/${text}" -add 'mToken CryptoID PKCS#11 Module V2.0' -libfile "/opt/cryptoid-2.0/libcryptoide_pkcs11.so" -force

	 echo
	 echo "install root certs ..."
	 echo
#	 ./mozilla "${thunderbird_data_path}/${text}" "import" "./root.cer" "TC,TC,TC"
#	 ./mozilla "${thunderbird_data_path}/${text}" "import" "./middle.cer" "C,C,C"
      else
          echo "firefox profiles.ini does not exist!"
      fi
   else
     echo "firefox is not detected."
  fi

echo "Done."


return 0
