#!/bin/sh
echo
echo "Uninstalling mTokenCryptoID PKCS11 module"
echo


config_file="profiles.ini"
software_path=$(pwd)
mozilla="./mozilla"
firefox_data_path="$HOME/.mozilla/firefox"
thunderbird_data_path="$HOME/.thunderbird"	

echo ${firefox_data_path}

thunderbird_path=$(find /usr/lib/  -name  libsmime3.so | grep thunderbird | sed 's/\/libsmime3.so//')
   if [ -d "$thunderbird_data_path" ] && [ -d "$firefox_data_path" ];then
      if [ -f "${thunderbird_data_path}/${config_file}" ];then
          text=$(awk -F '=' '/\[Profile0\]/{a=1}a==1&&$1~/Path/{print $2;exit}' $HOME/.thunderbird/profiles.ini)
	 echo "thunderbird is detected"
	 echo 
	 echo "Delete PKCS11 Module"
	 echo
	    modutil -dbdir ${thunderbird_data_path}/${text} -delete 'mToken CryptoID PKCS#11 Module V2.0'  -force
	 echo
      else
          echo "thunderbird profiles.ini does not exist!"
      fi
  else
     echo " thunderbirdi data path does not exist!"
     echo
     echo "*** The Thunderbird's data profile isn't found."

  fi


firefox_path=$(find /usr/lib/  -name  libnss3.so | grep firefox | sed 's/\/libnss3.so//')
   if [ -d "$firefox_data_path" ];then
      if [ -f "${firefox_data_path}/${config_file}" ];then
          text=$(awk -F '=' '/\[Profile0\]/{a=1}a==1&&$1~/Path/{print $2;exit}' $HOME/.mozilla/firefox/profiles.ini)
	 echo "firefox is runing"
	 echo
	 echo "Delete PKCS11 module from firefox"
	    modutil -dbdir "${firefox_data_path}/${text}" -delete 'mToken CryptoID PKCS#11 Module V2.0' -force
	 echo

      else
          echo "firefox profiles.ini does not exist!"
      fi
   else
     echo "firefox data path does not exist!"
    # echo "*** The Firefox's data profile isn't found, please run firefox, then reinstall!"
  fi

echo "Done."

return 0
